Update DNS Zones
curl --request POST \
--url https://api.bunny.net/dnszone/{id} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"CustomNameserversEnabled": true,
"Nameserver1": "<string>",
"Nameserver2": "<string>",
"SoaEmail": "<string>",
"LoggingEnabled": true,
"LoggingIPAnonymizationEnabled": true
}
'import requests
url = "https://api.bunny.net/dnszone/{id}"
payload = {
"CustomNameserversEnabled": True,
"Nameserver1": "<string>",
"Nameserver2": "<string>",
"SoaEmail": "<string>",
"LoggingEnabled": True,
"LoggingIPAnonymizationEnabled": True
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
CustomNameserversEnabled: true,
Nameserver1: '<string>',
Nameserver2: '<string>',
SoaEmail: '<string>',
LoggingEnabled: true,
LoggingIPAnonymizationEnabled: true
})
};
fetch('https://api.bunny.net/dnszone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Domain": "<string>",
"Records": [
{
"Id": 123,
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Port": 123,
"Flags": 123,
"Tag": "<string>",
"Accelerated": true,
"AcceleratedPullZoneId": 123,
"LinkName": "<string>",
"IPGeoLocationInfo": {
"CountryCode": "<string>",
"Country": "<string>",
"ASN": 123,
"OrganizationName": "<string>",
"City": "<string>"
},
"GeolocationInfo": {
"Country": "<string>",
"City": "<string>",
"Latitude": 123,
"Longitude": 123
},
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"LatencyZone": "<string>",
"Disabled": true,
"Comment": "<string>",
"AutoSslIssuance": true
}
],
"DateModified": "2023-11-07T05:31:56Z",
"DateCreated": "2023-11-07T05:31:56Z",
"NameserversDetected": true,
"CustomNameserversEnabled": true,
"Nameserver1": "<string>",
"Nameserver2": "<string>",
"SoaEmail": "<string>",
"NameserversNextCheck": "2023-11-07T05:31:56Z",
"LoggingEnabled": true,
"LoggingIPAnonymizationEnabled": true,
"DnsSecEnabled": true
}DNS Zone
Update DNS Zones
POST
/
dnszone
/
{id}
Update DNS Zones
Authorizations
API Access Key authorization header
Path Parameters
The ID of the DNS Zone that will be updated
Body
application/json
The configuration that should be applied to the DNS zone
Gets the log anonymization type for this zone
Available options:
0, 1 Sets the certificate private key type for wildcard certificates for this zone
Available options:
0, 1 Determines if the log anonoymization should be enabled
Response
The DNS Zone with the requested ID
Show child attributes
Show child attributes
Determines if the TLS 1 is enabled on the DNS Zone
Sets the log anonymization type for this zone
Available options:
0, 1 Determines if DNSSEC is enabled for this DNS Zone
The private key type to use for automatic certificates
Available options:
0, 1 Last modified on July 9, 2026
Was this page helpful?
⌘I